Summary:   The Webalizer - A web server log file analysis thingie
Name:      webalizer
Version:   1.20-11
Release:   2
Packager:  Simon Liddington <sjl96v@ecs.soton.ac.uk>
URL:       http://www.mrunix.net/webalizer/
Source:    ftp://ftp.mrunix.net/pub/webalizer/pre-release/%{name}-%{version}-src.tgz
Copyright: GPL
Group:     Networking/Utilities
BuildRoot: /tmp/%{name}-%{version}-root

%description
The Webalizer is a web server log file analysis program which produces
usage statistics in HTML format for viewing with a browser.  The results
are presented in both columnar and graphical format, which facilitates
interpretation.  Yearly, monthly, daily and hourly usage statistics are
presented, along with the ability to display usage by site, URL, referrer,
user agent (browser) and country (user agent and referrer are only
available if your web server produces combined log format files).

%prep
%setup -q %{name}-%{version}

%build
make CFLAGS="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/man/man1
install -m644 sample.conf $RPM_BUILD_ROOT/etc/webalizer.conf
install -m755 webalizer $RPM_BUILD_ROOT/usr/bin
strip $RPM_BUILD_ROOT/usr/bin/webalizer
install -m644 webalizer.1 $RPM_BUILD_ROOT/usr/man/man1/webalizer.1

#install -d $RPM_BUILD_ROOT/home/httpd/html/usage
#install -m644 msfree.gif $RPM_BUILD_ROOT/home/httpd/html/usage

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README country-codes.txt
%config /etc/webalizer.conf
/usr/bin/webalizer
/usr/man/man1/webalizer.1
#/home/httpd/html/usage

%changelog
* Fri Jan 08 1999 Simon Liddington <sjl96v@ecs.soton.ac.uk>
  [1.20-11]
  Installs manpage
  Config file installed as config

* Mon Jul 27 1998 Arne Coucheron <arneco@online.no>
  [1.20-07]

* Sun Jul 26 1998 Arne Coucheron <arneco@online.no>
  [1.12-10]

* Sun Jun 14 1998 Arne Coucheron <arneco@online.no>
  [1.12-09]

* Sun Jun 07 1998 Arne Coucheron <arneco@online.no>
  [1.12-08]

* Fri Jun 05 1998 Arne Coucheron <arneco@online.no>
  [1.00-05]

* Wed May 27 1998 Arne Coucheron <arneco@online.no>
  [1.00-04]
- using predefined %%{name} and %%{version} macros
- using %defattr macro in file list, this requires rpm 2.5 to build
- installing msfree.gif to /home/httpd/html/usage
- added -q parameter to %setup
- added CHANGES and TODO to %doc

* Fri May 08 1998 Arne Coucheron <arneco@online.no>
  [0.99.06-1]

* Sat Jan 31 1998 Arne Coucheron <arneco@online.no>
- First release